## php7.4 7.4.21

=== debian/changelog ===
php7.4 (7.4.21-1) unstable; urgency=medium

  * New upstream version 7.4.21

 -- Ondřej Surý <ondrej@debian.org>  Thu, 01 Jul 2021 17:36:30 +0200

php7.4 (7.4.20-1) unstable; urgency=medium

  * Disable LTO (needed for Ubuntu Hirsute) - now for real
  * New upstream version 7.4.20

 -- Ondřej Surý <ondrej@debian.org>  Fri, 04 Jun 2021 12:11:44 +0200

php7.4 (7.4.18-2) unstable; urgency=medium

  * Disable LTO (needed for Ubuntu Hirsute)
  * Revert: Fix bug #80892 PDO::PARAM_INT on pdo_pgsql

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 May 2021 13:26:07 +0200

php7.4 (7.4.18-1) unstable; urgency=medium

  * New upstream version 7.4.18

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 May 2021 10:58:41 +0200

php7.4 (7.4.16-3) unstable; urgency=medium

  * Allow printing credits buffer larger than 4k

 -- Ondřej Surý <ondrej@debian.org>  Sat, 03 Apr 2021 16:19:26 +0200

php7.4 (7.4.16-2) unstable; urgency=medium

  * Update the packaging credits

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Mar 2021 10:36:28 +0100
