=== debian/control ===
Source: php7.4
Section: php
Priority: optional
Maintainer: Debian PHP Maintainers <team+pkg-php@tracker.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>,
           Lior Kaplan <kaplan@debian.org>
Build-Depends: apache2-dev (>= 2.4),
               autoconf (>= 2.63),
               automake,
               bison,
               chrpath,
               debhelper (>= 9.20160709~),
               default-libmysqlclient-dev | libmysqlclient-dev,
               dh-apache2,
               dpkg-dev (>= 1.16.1~),
               firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
               flex,
               freetds-dev,
               libapparmor-dev [linux-any],
               libacl1-dev,
               libapr1-dev (>= 1.2.7-8),
               libargon2-dev | libargon2-0-dev,
               libbz2-dev,
               libc-client-dev,
               libcurl4-openssl-dev | libcurl-dev,
               libdb-dev,
               libedit-dev (>= 2.11-20080614-4),
               libenchant-2-dev | libenchant-dev,
               libevent-dev (>= 1.4.11),
               libexpat1-dev (>= 1.95.2-2.1),
               libffi-dev,
               libfreetype6-dev,
               libgcrypt20-dev (>> 1.6.3) | libgcrypt11-dev (<< 1.5.4),
               libgd-dev (>= 2.1.0) | libgd2-dev,
               libglib2.0-dev,
               libgmp3-dev,
               libicu-dev,
               libjpeg-dev | libjpeg62-dev,
               libkrb5-dev,
               libldap2-dev,
               liblmdb-dev,
               libmagic-dev,
               libmhash-dev (>= 0.8.8),
               libnss-myhostname [linux-any],
               libonig-dev,
               libpam0g-dev,
               libpcre2-dev (>= 10.30),
               libpng-dev,
               libpq-dev,
               libpspell-dev,
               libqdbm-dev,
               libsasl2-dev,
               libsnmp-dev,
               libsodium-dev,
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libtidy-dev (>= 1:5.2.0),
               libtool (>= 2.2),
               libwebp-dev,
               libwrap0-dev,
               libxml2-dev,
               libxmlrpc-epi-dev,
               libxmltok1-dev,
               libxslt1-dev (>= 1.0.18),
               libzip-dev (>= 1.0.0),
               locales-all | language-pack-de,
               netbase,
               netcat-openbsd,
               re2c,
               systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
               tzdata,
               unixodbc-dev,
               zlib1g-dev
Build-Conflicts: bind-dev,
                 libxmlrpc-core-c3-dev
Standards-Version: 4.5.0.0
Vcs-Git: https://salsa.debian.org/php-team/php.git -b master-7.4
Vcs-Browser: https://salsa.debian.org/php-team/php
Homepage: http://www.php.net/

Package: libapache2-mod-php7.4
Section: httpd
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.4-cli,
         php7.4-common (= ${binary:Version}),
         php7.4-json,
         php7.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libapache2-mod-php,
          ${php:Provides}
Recommends: apache2
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (Apache 2 module)
 This package provides the PHP module for the Apache 2 webserver (as
 found in the apache2-mpm-prefork package).  Please note that this package
 ONLY works with Apache's prefork MPM, as it is not compiled thread-safe.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: libphp7.4-embed
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.4-cli,
         php7.4-common (= ${binary:Version}),
         php7.4-json,
         php7.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libphp-embed,
          ${php:Provides}
Suggests: php-pear
Description: HTML-embedded scripting language (Embedded SAPI library)
 This package provides the library /usr/lib/libphp7.4.so which can
 be used by application developers to embed PHP scripting functionality.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.
 .
 WARNING: The embed SAPI is experimental and there's no guarantee that
 the API/ABI will be kept compatible even between minor releases.  You
 have been warned.

Package: php7.4
Architecture: all
Depends: libapache2-mod-php7.4 | php7.4-fpm | php7.4-cgi,
         php7.4-common,
         ${misc:Depends}
Provides: php
Description: server-side, HTML-embedded scripting language (metapackage)
 This package is a metapackage that, when installed, guarantees that you
 have at least one of the four server-side versions of the PHP interpreter
 installed. Removing this package won't remove PHP from your system, however
 it may remove other packages that depend on this one.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-cgi
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.4-cli,
         php7.4-common (= ${binary:Version}),
         php7.4-json,
         php7.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cgi,
          ${php:Provides}
Suggests: php-pear
Description: server-side, HTML-embedded scripting language (CGI binary)
 This package provides the /usr/lib/cgi-bin/php CGI interpreter built
 for use in Apache 2 with mod_actions, or any other CGI httpd that
 supports a similar mechanism.  Note that MOST users probably
 want the php7.4-fpm package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-cli
Architecture: any
Depends: libedit2 (>= 2.11-20080614-4),
         libmagic1,
         mime-support,
         php7.4-common (= ${binary:Version}),
         php7.4-json,
         php7.4-opcache,
         php7.4-readline,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-cli,
          ${php:Provides}
Suggests: php-pear
Description: command-line interpreter for the PHP scripting language
 This package provides the /usr/bin/php7.4 command interpreter, useful for
 testing PHP scripts from a shell or performing general shell scripting tasks.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-dev
Depends: autoconf (>= 2.63),
         automake (>= 1.11),
         libpcre2-dev (>= 10.30),
         libssl-dev,
         pkg-config,
         php7.4-cli (>= ${binary:Version}),
         php7.4-common (= ${binary:Version}),
         shtool,
         ${libtool:Depends},
         ${misc:Depends},
         ${perl:Depends}
Conflicts: ${libtool:Conflicts}
Architecture: any
Recommends: pkg-php-tools
Suggests: dh-php
Description: Files for PHP7.4 module development
 This package provides the files from the PHP7.4 source needed for compiling
 additional modules.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-fpm
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.4-cli,
         php7.4-common (= ${binary:Version}),
         php7.4-json,
         php7.4-opcache,
         procps,
         systemd | systemd-tmpfiles,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-fpm,
          ${php:Provides}
Suggests: php-pear
Pre-Depends: ${misc:Pre-Depends}
Description: server-side, HTML-embedded scripting language (FPM-CGI binary)
 This package provides the Fast Process Manager interpreter that runs
 as a daemon and receives Fast/CGI requests.  Note that MOST Apache users
 probably want the libapache2-mod-php7.4 package.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-phpdbg
Architecture: any
Depends: libmagic1,
         mime-support,
         php7.4-cli,
         php7.4-common (= ${binary:Version}),
         php7.4-json,
         php7.4-opcache,
         tzdata,
         ucf,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: php-phpdbg,
          ${php:Provides}
Recommends: php-readline
Description: server-side, HTML-embedded scripting language (PHPDBG binary)
 This package provides the /usr/bin/phpdbg command interpreter, useful for
 stepthrough debugging of PHP code.
 .
 ${php:Extensions}
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-xsl
Architecture: all
Depends: php7.4-common,
         php7.4-xml,
         ${misc:Depends}
Description: XSL module for PHP (dummy)
 This package is a transitional dummy package and can be safely
 removed.

Package: php7.4-bcmath
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-bcmath:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-bcmath:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-bcmath:Replaces}
Breaks: ${php-bcmath:Breaks}
Conflicts: ${php-bcmath:Conflicts}
Provides: ${php-bcmath:Provides}
Recommends: ${php-bcmath:Recommends}
Description: Bcmath module for PHP
 This package provides the Bcmath module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-bz2
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-bz2:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-bz2:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-bz2:Replaces}
Breaks: ${php-bz2:Breaks}
Conflicts: ${php-bz2:Conflicts}
Provides: ${php-bz2:Provides}
Recommends: ${php-bz2:Recommends}
Description: bzip2 module for PHP
 This package provides the bzip2 module(s) for PHP.
 .
 PHP (recursive acronym for PHP: Hypertext Preprocessor) is a widely-used
 open source general-purpose scripting language that is especially suited
 for web development and can be embedded into HTML.

Package: php7.4-common
Architecture: any
Depends: php-common (>= 1:81~),
         ucf,
         ${misc:Depends},
         ${php:Depends},
	 ${php-common:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends},
	     ${php-common:Pre-Depends}
Built-Using: ${php:Built-Using}
Replaces: ${php-common:Replaces}
Breaks: ${php-common:Breaks}
Conflicts: ${php-common:Conflicts}
Provides: ${php-common:Provides}
Recommends: ${php-common:Recommends}
Description: documentation, examples and common module for PHP
 This package provides the documentation, examples and common module(s) for PHP.
 .
