## php7.4 7.4.25

=== debian/changelog ===
php7.4 (7.4.25-1+deb11u1) bullseye-security; urgency=high

  * New upstream version 7.4.25
   + CVE-2021-21706: ZipArchive::extractTo extracts outside of destination
   + CVE-2021-21703: PHP-FPM oob R/W in root process leading to privilege
     escalation

 -- Ondřej Surý <ondrej@debian.org>  Sat, 23 Oct 2021 23:53:50 +0200

php7.4 (7.4.21-1+deb11u1) unstable; urgency=medium

  * New upstream version 7.4.21
   + CVE-2021-21705: SSRF bypass in FILTER_VALIDATE_URL
   + CVE-2021-21704: Stack buffer overflow in firebird_info_cb
   + CVE-2021-21704: SIGSEGV in firebird_handle_doer
   + CVE-2021-21704: SIGSEGV in firebird_stmt_execute
   + CVE-2021-21704: Crash while parsing blob data in firebird_fetch_blob
  * Add example configuration to not pass URLs for missing files to
    PHP-FPM

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Jul 2021 05:59:48 +0200
