## php7.4 7.4.28

=== debian/changelog ===
php7.4 (7.4.28-1) unstable; urgency=high

  * New upstream versions 7.4.26, 7.4.27, 7.4.28
  * remove packagin credits cos cause some troubles.. 
  * 7.4.26 (Core) Fixed bug #81518 (Header injection via default_mimetype / default_charset).
  * 7.4.26 (Date) Fixed bug #81500 (Interval serialization regression since 7.3.14 / 7.4.2).
  * 7.4.26 (MBString) Fixed bug #76167 (mbstring may use pointer from some previous request).
  * 7.4.26 (MySQLi) Fixed bug #81494 (Stopped unbuffered query does not throw error).
  * 7.4.26 (PCRE) Fixed bug #81424 (PCRE2 10.35 JIT performance regression).
  * 7.4.26 (Streams) Fixed bug #54340 (Memory corruption with user_filter).
  * 7.4.26 (XML) Fixed bug #79971 (special character is breaking the path in xml function). (CVE-2021-21707)
  * 7.4.27 (Core) Fixed bug #81626 (Error on use static:: in __сallStatic() wrapped to Closure::fromCallable()).
  * 7.4.27 (FPM) Fixed bug #81513 (Future possibility for heap overflow in FPM zlog).
  * 7.4.27 (GD) Fixed bug #71316 (libpng warning from imagecreatefromstring).
  * 7.4.27 (OpenSSL) Fixed bug #75725 (./configure: detecting RAND_egd).
  * 7.4.27 (PCRE) Fixed bug #74604 (Out of bounds in php_pcre_replace_impl).
  * 7.4.27 (Standard) Fixed bug #81618 (dns_get_record fails on FreeBSD for missing type).
  * 7.4.27 (Standard) Fixed bug #81659 (stream_get_contents() may unnecessarily overallocate).
  * (DOM) Fixed bug #81433 (DOMElement::setIdAttribute() called twice may remove ID).
  * (FFI) Fixed bug #79576 ("TYPE *" shows unhelpful message when type is not defined).
  * (Fileinfo) Fixed bug #78987 (High memory usage during encoding detection).
  * (Filter) Fixed bug #61700 (FILTER_FLAG_IPV6/FILTER_FLAG_NO_PRIV|RES_RANGE failing).
  * (FPM) Fixed bug #81026 (PHP-FPM oob R/W in root process leading to privilege escalation) (CVE-2021-21703).
  * (SPL) Fixed bug #80663 (Recursive SplFixedArray::setSize() may cause double-free).
  * (Streams) Fixed bug #81475 (stream_isatty emits warning with attached stream wrapper).
  * (XML) Fixed bug #70962 (XML_OPTION_SKIP_WHITE strips embedded whitespace).
  * (Zip) Fixed bug #81490 (ZipArchive::extractTo() may leak memory).
  * (Zip) Fixed bug #77978 (Dirname ending in colon unzips to wrong dir).
  * Refactor patches, sync with debian php-team as of 06 Oct 2021
  * 7.4.23 (Core) Fixed bug #72595 (php_output_handler_append illegal write access).
  * 7.4.23 (Core) Fixed bug #66719 (Weird behaviour when using get_called_class() with call_user_func()).
  * 7.4.23 (Core) Fixed bug #81305 (Built-in Webserver Drops Requests With "Upgrade" Header).
  * 7.4.23 (BCMath) Fixed bug #78238 (BCMath returns "-0").
  * 7.4.23 (CGI) Fixed bug #80849 (HTTP Status header truncation).
  * 7.4.23 (GD) Fixed bug #51498 (imagefilledellipse does not work for large circles).
  * 7.4.23 (MySQLi) Fixed bug #74544 (Integer overflow in mysqli_real_escape_string()).
  * 7.4.23 (OpenSSL) Fixed bug #81327 (Error build openssl extension on php 7.4.22).
  * 7.4.23 (PDO_ODBC) Fixed bug #81252 (PDO_ODBC doesn't account for SQL_NO_TOTAL).
  * 7.4.23 (Phar) Fixed bug #81211: Symlinks are followed when creating PHAR archive.(cmb)
  * 7.4.23 (Shmop) Fixed bug #81283 (shmop can't read beyond 2147483647 bytes).
  * 7.4.23 (Standard) Fixed bug #72146 (Integer overflow on substr_replace).
  * 7.4.23 (Standard) Fixed bug #81265 (getimagesize returns 0 for 256px ICO images).
  * 7.4.23 (Standard) Fixed bug #74960 (Heap buffer overflow via str_repeat).
  * 7.4.23 (Streams) Fixed bug #81294 (Segfault when removing a filter).
  * 7.4.24 (Core) Fixed bug #81302 (Stream position after stream filter removed).
  * 7.4.24 (Core) Fixed bug #81346 (Non-seekable streams don't update position after write).
  * 7.4.24 (Core) Fixed bug #73122 (Integer Overflow when concatenating strings).
  * 7.4.24 (GD) Fixed bug #53580 (During resize gdImageCopyResampled cause colors change).
  * 7.4.24 (Opcache) Fixed bug #81353 (segfault with preloading and statically bound closure).
  * 7.4.24 (Shmop) Fixed bug #81407 (shmop_open won't attach and causes php to crash).
  * 7.4.24 (Standard) Fixed bug #71542 (disk_total_space does not work with relative paths).
  * 7.4.24 (Standard) Fixed bug #81400 (Unterminated string in dns_get_record() results).
  * 7.4.24 (SysVMsg) Fixed bug #78819 (Heap Overflow in msg_send).
  * 7.4.24 (XML) Fixed bug #81351 (xml_parse may fail, but has no error code).
  * 7.4.24 (Zip) Fixed bug #81420 (ZipArchive::extractTo extracts outside of destination). (CVE-2021-21706)

 -- PICCORO Lenz McKAY <mckaygerhard@gmail.com>  Mon, 11 Oct 2021 23:12:00 -0400

php7.4 (7.4.22-1+devuan3~1) ascii; urgency=medium

  * New upstream version 7.4.22
  * (Core) Fixed bug #81145 (copy() and stream_copy_to_stream() fail for +4GB files).
  * (Core) Fixed bug #81163 (incorrect handling of indirect vars in __sleep).
  * (Core) Fixed bug #80728 (PHP built-in web server resets timeout when it can kill the process).
  * (Core) Fixed bug #73630 (Built-in Webserver - overwrite $_SERVER['request_uri']).
  * (Core) Fixed bug #80173 (Using return value of zend_assign_to_variable() is not safe).
  * (Core) Fixed bug #73226 (--r[fcez] always return zero exit code).
  * (Intl) Fixed bug #72809 (Locale::lookup() wrong result with canonicalize option).
  * (Intl) Fixed bug #68471 (IntlDateFormatter fails for "GMT+00:00" timezone).
  * (Intl) Fixed bug #74264 (grapheme_strrpos() broken for negative offsets).
  * (OpenSSL) Fixed bug #52093 (openssl_csr_sign truncates $serial).
  * (PCRE) Fixed bug #81101 (PCRE2 10.37 shows unexpected result).
  * (PCRE) Fixed bug #81243 (Too much memory is allocated for preg_replace()).
  * (Standard) Fixed bug #81223 (flock() only locks first byte of file).

 -- TDR Networks Builder <builder@tdrnetworks.com>  Tue, 10 Aug 2021 21:04:00 +0100

php7.4 (7.4.21-1+devuan3~1) ascii; urgency=medium

  * Upstream rollup;  7.4.20, 7.4.21
  * New upstream version 7.4.20

