=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
                automake,
                bison,
                chrpath,
-               debhelper (>= 9.20160709~),
-               default-libmysqlclient-dev | libmysqlclient-dev,
+               debhelper (>= 9),
+               default-libmysqlclient-dev | libmysqlclient-dev | libmariadb-dev,
                dh-apache2,
+               base-files,
                dpkg-dev (>= 1.16.1~),
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
                flex,
                freetds-dev,
-               libapparmor-dev [linux-any],
+               libapparmor-dev,
                libacl1-dev,
                libapr1-dev (>= 1.2.7-8),
                libargon2-dev | libargon2-0-dev,
@@ -35,7 +36,7 @@
                libglib2.0-dev,
                libgmp3-dev,
                libicu-dev,
-               libjpeg-dev | libjpeg62-dev,
+               libjpeg62-turbo-dev | libjpeg8-dev | libjpeg62-dev | libjpeg-dev,
                libkrb5-dev,
                libldap2-dev,
                liblmdb-dev,
@@ -54,8 +55,7 @@
                libsodium-dev,
                libsqlite3-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
-               libtidy-dev (>= 1:5.2.0),
+               libtidy-dev,
                libtool (>= 2.2),
                libwebp-dev,
                libwrap0-dev,
@@ -63,10 +63,10 @@
                libxmlrpc-epi-dev,
                libxmltok1-dev,
                libxslt1-dev (>= 1.0.18),
-               libzip-dev (>= 1.0.0),
+               libzip-dev,
                locales-all | language-pack-de,
                netbase,
-               netcat-openbsd,
+               netcat-traditional | netcat-openbsd,
                re2c,
                systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
                tzdata,
@@ -75,8 +75,8 @@
 Build-Conflicts: bind-dev,
                  libxmlrpc-core-c3-dev
 Standards-Version: 4.5.0.0
-Vcs-Git: https://salsa.debian.org/php-team/php.git -b master-7.4
-Vcs-Browser: https://salsa.debian.org/php-team/php
+Vcs-Git: https://salsa.debian.org/php-team/php.git -b debian/main/7.4
+Vcs-Browser: https://salsa.debian.org/php-team/php/-/tree/debian/main/7.4
 Homepage: http://www.php.net/
 
 Package: libapache2-mod-php7.4
@@ -238,7 +238,6 @@
          php7.4-json,
          php7.4-opcache,
          procps,
-         systemd | systemd-tmpfiles,
          tzdata,
          ucf,
          ${misc:Depends},
@@ -294,7 +293,7 @@
 
 Package: php7.4-bcmath
 Architecture: any
-Depends: php-common (>= 1:81~),
+Depends: php-common (>= 1:35),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -317,7 +316,7 @@
 
 Package: php7.4-bz2
 Architecture: any
-Depends: php-common (>= 1:81~),
+Depends: php-common (>= 1:35),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -340,7 +339,7 @@
 
 Package: php7.4-common
 Architecture: any
-Depends: php-common (>= 1:81~),
+Depends: php-common (>= 1:35),
          ucf,
          ${misc:Depends},
          ${php:Depends},
