## php7.4 7.4.30

=== debian/changelog ===
php7.4 (1:7.4.30-3+0~20220627.69+debian9~1.gbpf2b381) unstable; urgency=medium

  ** SNAPSHOT build @f2b381f074d0acece51c94b434b893d2d49aaec0 **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Mon, 27 Jun 2022 10:14:52 +0200

php7.4 (1:7.4.30-3) unstable; urgency=medium

  * Revert "Add Provides: php-json to PHP SAPIS"

 -- Ondřej Surý <ondrej@debian.org>  Mon, 27 Jun 2022 10:07:43 +0200

php7.4 (1:7.4.30-2) unstable; urgency=medium

  * Add Provides: php-json to PHP SAPIS

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jun 2022 09:57:02 +0200

php7.4 (1:7.4.30-1) unstable; urgency=medium

  * New upstream version 7.4.30

 -- Ondřej Surý <ondrej@debian.org>  Fri, 10 Jun 2022 15:26:25 +0200

php7.4 (1:7.4.29-2) unstable; urgency=medium

  * Add -DOPENSSL_SUPPRESS_DEPRECATED to CFLAGS to support OpenSSL 3.0
  * Add minimal OpenSSL 3.0 patch
  * Pull upstream patch to fix build with ICU >= 70
  * Add #include <stdbool.h> to ext/intl/ to have true/false available
  * Bump the epoch because Ubuntu 22.04 added libapache2-mod-php7.4
    dummy package versioned 8.1.x to help with upgrade and broke this
    package just for just everybody else. Yay!

 -- Ondřej Surý <ondrej@debian.org>  Thu, 28 Apr 2022 13:45:03 +0200

php7.4 (7.4.29-1) unstable; urgency=medium

  * New upstream version 7.4.29

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 12:12:21 +0200

php7.4 (7.4.28-1) unstable; urgency=medium

  * New upstream version 7.4.28

 -- Ondřej Surý <ondrej@debian.org>  Thu, 17 Feb 2022 16:51:17 +0100

php7.4 (7.4.27-1) unstable; urgency=medium

  * New upstream version 7.4.27

 -- Ondřej Surý <ondrej@debian.org>  Mon, 20 Dec 2021 22:21:55 +0100

php7.4 (7.4.26-1) unstable; urgency=medium

  * New upstream version 7.4.26

 -- Ondřej Surý <ondrej@debian.org>  Fri, 19 Nov 2021 07:24:55 +0100

php7.4 (7.4.25-3) unstable; urgency=medium

  [ Pino Toscano ]
  * Enable AppArmor (--with-fpm-apparmor) only on Linux archs
  * Fix Vcs-* fields

 -- Ondřej Surý <ondrej@debian.org>  Sat, 13 Nov 2021 12:55:28 +0100

php7.4 (7.4.25-2) unstable; urgency=medium

  * No change bump, to override version in Debian bullseye

 -- Ondřej Surý <ondrej@debian.org>  Mon, 01 Nov 2021 21:00:25 +0100

php7.4 (7.4.25-1) unstable; urgency=medium

  * New upstream version 7.4.25

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Oct 2021 14:18:02 +0200

php7.4 (7.4.24-1) unstable; urgency=medium

  * New upstream version 7.4.24

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Sep 2021 23:26:56 +0200

php7.4 (7.4.23-1) unstable; urgency=medium

  * New upstream version 7.4.23
  * Check for symlink before removing directory in the postrm scripts

 -- Ondřej Surý <ondrej@debian.org>  Thu, 26 Aug 2021 17:50:19 +0200

php7.4 (7.4.22-1) unstable; urgency=medium

  * New upstream version 7.4.22

 -- Ondřej Surý <ondrej@debian.org>  Fri, 30 Jul 2021 15:04:05 +0200
