=== debian/control ===
--- 
+++ 
@@ -9,16 +9,15 @@
                automake,
                bison,
                chrpath,
-               debhelper (>= 9),
-               default-libmysqlclient-dev | libmysqlclient-dev | libmariadb-dev,
+               debhelper (>= 9.20160709~),
+               default-libmysqlclient-dev | libmysqlclient-dev,
                dh-apache2,
-               base-files,
                dpkg-dev (>= 1.16.1~),
                firebird-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.5-dev [!hurd-any !m68k !hppa !ppc64] | firebird2.1-dev [!hurd-any !m68k !hppa !ppc64],
                flex,
                freetds-dev,
-               libapparmor-dev,
                libacl1-dev,
+               libapparmor-dev [linux-any],
                libapr1-dev (>= 1.2.7-8),
                libargon2-dev | libargon2-0-dev,
                libbz2-dev,
@@ -36,7 +35,7 @@
                libglib2.0-dev,
                libgmp3-dev,
                libicu-dev,
-               libjpeg62-turbo-dev | libjpeg8-dev | libjpeg62-dev | libjpeg-dev,
+               libjpeg-dev | libjpeg62-dev,
                libkrb5-dev,
                libldap2-dev,
                liblmdb-dev,
@@ -55,7 +54,8 @@
                libsodium-dev,
                libsqlite3-dev,
                libssl-dev,
-               libtidy-dev,
+               libsystemd-dev [linux-any],
+               libtidy-dev (>= 1:5.2.0),
                libtool (>= 2.2),
                libwebp-dev,
                libwrap0-dev,
@@ -63,10 +63,10 @@
                libxmlrpc-epi-dev,
                libxmltok1-dev,
                libxslt1-dev (>= 1.0.18),
-               libzip-dev,
+               libzip-dev (>= 1.0.0),
                locales-all | language-pack-de,
                netbase,
-               netcat-traditional | netcat-openbsd,
+               netcat-openbsd,
                re2c,
                systemtap-sdt-dev [amd64 i386 powerpc armel armhf ia64],
                tzdata,
@@ -210,9 +210,9 @@
          automake (>= 1.11),
          libpcre2-dev (>= 10.30),
          libssl-dev,
+         php7.4-cli (>= ${binary:Version}),
+         php7.4-common (= ${binary:Version}),
          pkg-config,
-         php7.4-cli (>= ${binary:Version}),
-         php7.4-common (= ${binary:Version}),
          shtool,
          ${libtool:Depends},
          ${misc:Depends},
@@ -238,6 +238,7 @@
          php7.4-json,
          php7.4-opcache,
          procps,
+         systemd | systemd-tmpfiles,
          tzdata,
          ucf,
          ${misc:Depends},
@@ -293,7 +294,7 @@
 
 Package: php7.4-bcmath
 Architecture: any
-Depends: php-common (>= 1:35),
+Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -316,7 +317,7 @@
 
 Package: php7.4-bz2
 Architecture: any
-Depends: php-common (>= 1:35),
+Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -339,7 +340,7 @@
 
 Package: php7.4-common
 Architecture: any
-Depends: php-common (>= 1:35),
+Depends: php-common (>= 1:81~),
          ucf,
          ${misc:Depends},
          ${php:Depends},
@@ -354,5 +355,3 @@
 Provides: ${php-common:Provides}
 Recommends: ${php-common:Recommends}
 Description: documentation, examples and common module for PHP
- This package provides the documentation, examples and common module(s) for PHP.
- .
