=== debian/rules ===
--- 
+++ 
@@ -123,8 +123,8 @@
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-  CONFIGURE_SYSTEMD :=
-#  CONFIGURE_APPARMOR := --with-fpm-apparmor
+  CONFIGURE_SYSTEMD := --with-fpm-systemd
+  CONFIGURE_APPARMOR := --with-fpm-apparmor
 endif
 
 # specify some options to our patch system
@@ -140,6 +140,9 @@
 endif
 DEB_CFLAGS_MAINT_APPEND += -Wall -pedantic -fsigned-char -fno-strict-aliasing 
 DEB_CFLAGS_MAINT_APPEND += $(shell getconf LFS_CFLAGS)
+
+# OpenSSL 3.0 support
+DEB_CFLAGS_MAINT_APPEND += -DOPENSSL_SUPPRESS_DEPRECATED
 
 # Enable IEEE-conformant floating point math on alphas (not the default)
 ifeq (alpha-linux-gnu,$(DEB_HOST_GNU_TYPE))
@@ -233,4 +236,3 @@
 		--sysconfdir=/etc/php/$(PHP_NAME_VERSION)/fpm \
 		--with-fpm-user=www-data --with-fpm-group=www-data \
 		--with-fpm-acl \
-		--with-config-file-path=/etc/php/$(PHP_NAME_VERSION)/fpm \
